Take the 2-minute tour ×
Webmasters Stack Exchange is a question and answer site for pro webmasters. It's 100% free, no registration required.

I am trying to install PrestaShop 1.4.0.17, and reach Step 3.

I enter database information, which tests okay, and I choose the second option: Full mode: includes 100+ additional modules and demo products (FREE too!).

I choose Next, and receive the error:

Error while inserting data in the database:
‘CREATE TABLE `shop_county_zip_code` ( `id_county` INT NOT NULL , `from_zip_code` INT         NOT NULL , `to_zip_code` INT NOT NULL , PRIMARY KEY ( `id_county` , `from_zip_code` , `to_zip_code` ) ) ENGINE=’
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \’\’ at line 6(Error: : 1064)

This happens if I use either MyISAM, or InnoDB. Why is this happening?

This also happens if I drop all database tables, and try again in simple mode.

Is there a manual installation method?

share|improve this question
    
The error is with the ENGINE= at the end. There needs to be something after the =. Is there an option as to which engine that you need when you install? –  paulmorriss Apr 5 '11 at 16:17
    
@paulmorriss I haven't seen Engine option any when installing Prestashop. It is all pretty much a 1 click install via a web interface. –  Digital Essence Apr 6 '11 at 11:28
add comment

1 Answer

I guess your the one here ?

http://www.prestashop.com/forums/topic/99317-install-error-while-inserting-data-in-the-database/

Have tried using the latest version ?

A lot of bugs have been corrected after 1.4.0.17, this is one of the reasons they recommend to install the latest version and also for the security fixes.

Current Version is PrestaShop v1.4.7 and the changelog

From http://www.prestashop.com/en/developers-versions

We strongly recommend to use the latest version of PrestaShop to build an online store.

To answer your question, I think the problem is that you have magic_quotes turned on in your php.ini

You have also to make sure your mysql user have sufficient privileges.

ref : http://www.prestashop.com/forums/topic/124238-solved-installation-stucked-on-step-3-installation-type/

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.